# IRfPhysHelperDisp Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Volume ([in] BSTR bstrObjName,[out, retval] RtFloat *volume)
HRESULT | Cog ([in] BSTR bstrObjName,[out, retval] VARIANT *vCog)
HRESULT | Inertia ([in] BSTR bstrObjName,[out, retval] VARIANT *vInertia)
HRESULT | FixToPoint ([in] BSTR bstrObjName,[in] VARIANT p)
HRESULT | FixToPoints ([in] BSTR bstrObjName,[in] VARIANT p1,[in] VARIANT p2)
HRESULT | ReleaseFixation ([in] BSTR bstrObjName)
HRESULT | GetNumFixation ([in] BSTR bstrObjName,[out, retval] RtUlong *numfix)
HRESULT | GetFixPoint ([in] BSTR bstrObjName,[in] RtUlong index,[out, retval] VARIANT *vPoint)

## Detailed Description

IRfPhysHelperDisp is a scriptable version of IRfPhysHelper function set.

## Member Function Documentation

HRESULT IRfPhysHelperDisp::Volume | ( | [in] BSTR | bstrObjName,
|  | [out, retval] RtFloat * | volume |
| ) |  |  |

Returns object's volume.

Parameters:

  | bstrObjName | [in] Full name identification of the object.

Returns:
  volume [out, retval] Object volume.

HRESULT IRfPhysHelperDisp::Cog | ( | [in] BSTR | bstrObjName,
|  | [out, retval] VARIANT * | vCog |
| ) |  |  |

Returns gravity centre of object.

Parameters:

  | bstrObjName | [in] Full name identification of the object.

Returns:
  vCog [out, retval] Center of gravity in world coordinate system.

HRESULT IRfPhysHelperDisp::Inertia | ( | [in] BSTR | bstrObjName,
|  | [out, retval] VARIANT * | vInertia |
| ) |  |  |

Returns object's inertia matrix.

Parameters:

  | bstrObjName | [in] Full name identification of the object.

Returns:
  vInertia [out, retval] Inertia matrix in world coordinate system.

HRESULT IRfPhysHelperDisp::FixToPoint | ( | [in] BSTR | bstrObjName,
|  | [in] VARIANT | p |
| ) |  |  |

Sets object's fixation to one point.

Parameters:

  | bstrObjName | [in] Full name identification of the object.
  | p | [in] Fixation point

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRfPhysHelperDisp::FixToPoints | ( | [in] BSTR | bstrObjName,
|  | [in] VARIANT | p1,
|  | [in] VARIANT | p2 |
| ) |  |  |

Sets object's fixation to two points.

Parameters:

  | bstrObjName | [in] Full name identification of the object.
  | p1 | [in] First fixation point
  | p2 | [in] Second fixation point

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRfPhysHelperDisp::ReleaseFixation | ( | [in] BSTR | bstrObjName | ) |

Removes object's fixation.

Parameters:

  | bstrObjName | [in] Full name identification of the object.

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRfPhysHelperDisp::GetNumFixation | ( | [in] BSTR | bstrObjName,
|  | [out, retval] RtUlong * | numfix |
| ) |  |  |

Gets number of object's fixation.

Parameters:

  | bstrObjName | [in] Full name identification of the object.

Returns:
  numfix [out, retval] Number of fixation points for object.

HRESULT IRfPhysHelperDisp::GetFixPoint | ( | [in] BSTR | bstrObjName,
|  | [in] RtUlong | index,
|  | [out, retval] VARIANT * | vPoint |
| ) |  |  |

Gets number of object's fixation.

Parameters:

  | bstrObjName | [in] Full name identification of the object.
  | index | [in] Index of fixation point (value can be 1 or 2).

Returns:
  vPoint [out, retval] Fixation point in world coordinate system.